Accumulo
  1. Accumulo
  2. ACCUMULO-2390

TraceProxy.trace should not throw InvocationTargetException

    Details

    • Type: Bug Bug
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: 1.4.4, 1.5.0
    • Fix Version/s: 1.4.5, 1.5.1, 1.6.0
    • Component/s: trace
    • Labels:

      Description

      In TraceProxy.trace there is the following code snippet:

              try {
                return method.invoke(instance, args);
              } catch (Throwable ex) {
                ex.printStackTrace();
                throw ex;
              }
      

      When this is an InvocationTargetException, it can really mess with the calling code's exception handling logic.

        Issue Links

          Activity

          No work has yet been logged on this issue.

            People

            • Assignee:
              Mike Drob
              Reporter:
              Mike Drob
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development